(custom-set-variables
 '(paren-mode (quote sexp) nil (paren))
 '(column-number-mode t)
 '(browse-url-browser-function (quote browse-url-lynx-emacs))
 '(line-number-mode t)
 '(font-lock-mode t nil (font-lock)))
(custom-set-faces
 '(default ((t (:size "14pt"))) t))


      ;;=============================================================================
      ;;                    scroll on  mouse wheel
      ;;=============================================================================
      
      ;; scroll on wheel of mouses
      (define-key global-map 'button4
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-down 5)
            (select-window curwin)
      )))
      (define-key global-map [(shift button4)]
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-down 1)
            (select-window curwin)
      )))
      (define-key global-map [(control button4)]
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-down)
            (select-window curwin)
      )))
      
      (define-key global-map 'button5
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-up 5)
            (select-window curwin)
      )))
      (define-key global-map [(shift button5)]
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-up 1)
            (select-window curwin)
      )))
      (define-key global-map [(control button5)]
        '(lambda (&rest args)
          (interactive) 
          (let ((curwin (selected-window)))
            (select-window (car (mouse-pixel-position)))
            (scroll-up)
            (select-window curwin)
      )))

;; Load path of my directories
;;============================
(setq load-path (cons "~/.xemacs/modes" load-path))


;; Set Matlab options:
;;====================
(autoload 'matlab-mode "matlab" "Enter Matlab mode." t)
(setq auto-mode-alist (cons '("\\.m\\'" . matlab-mode) auto-mode-alist))
(autoload 'matlab-shell "matlab" "Interactive Matlab mode." t)
